Subject: Re: [PATCH v2] perf: libdw support for powerpc [ping]

From: Mark Wielaard <[email-masked]>
Date: Wed, 21 Jun 2017 03:31:43 +0200

On Tue, Jun 20, 2017 at 10:06:35PM -0300, Arnaldo Carvalho de Melo wrote:
> Em Thu, Jun 15, 2017 at 01:16:32PM +0200, Mark Wielaard escreveu:
> > On Thu, 2017-06-15 at 10:46 +0200, Milian Wolff wrote:
> > > Just a quick question: Have you guys applied my recent patch:
> > > 
> > > commit 5ea0416f51cc93436bbe497c62ab49fd9cb245b6
> > > Author: Milian Wolff <[email-masked]>
> > > Date:   Thu Jun 1 23:00:21 2017 +0200
> > > 
> > >     perf report: Include partial stacks unwound with libdw
> > >     
> > >     So far the whole stack was thrown away when any error occurred before
> > >     the maximum stack depth was unwound. This is actually a very common
> > >     scenario though. The stacks that got unwound so far are still
> > >     interesting. This removes a large chunk of differences when comparing
> > >     perf script output for libunwind and libdw perf unwinding.
> > > 
> > > If not, then this could explain the issue you are seeing.
> > 
> > Thanks! No, I didn't have that patch (*) yet. It makes a huge
> > difference. With that, Paolo's patch and the elfutils libdw powerpc64
> > fallback unwinder patch, it looks like I get user stack traces for
> > everything now on ppc64le.
> 
> Can I take that as a Tested-by: you?

Sure.
Tested-by: Mark Wielaard <[email-masked]>

Thanks,

Mark